# VERSION is subbed out during rake srpm process
%global realversion 4.2.2
%global rpmversion 4.2.2

Summary:   Install and uninstall software packages
Name:      mcollective-package
Version:   %{rpmversion}
Release:   1%{?dist}
Vendor:    %{?_host_vendor}
License:   ASL 2.0
URL:       https://github.com/puppetlabs/mcollective-package-agent
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group:     System Tools
Source0:   mcollective-package-%{realversion}.tar.gz

%description
Install and uninstall software packages

%prep
%setup -q  -n %{name}-%{realversion}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective
cp -a agent application util %{buildroot}%{_libexecdir}/mcollective/mcollective

%clean
rm -rf %{buildroot}

%package agent
Requires: mcollective-package-common = %{version}-%{release}
Group: System Tools
Summary:   Install and uninstall software packages

%package client
Requires: mcollective-package-common = %{version}-%{release}
Group: System Tools
Summary:   Install and uninstall software packages

%package common
Requires: mcollective-common >= 2.2.1
Group: System Tools
Summary:   Install and uninstall software packages

%description agent
Install and uninstall software packages

%description client
Install and uninstall software packages

%description common
Install and uninstall software packages

%files agent
%{_libexecdir}/mcollective/mcollective/agent/*.rb

%files client
%{_libexecdir}/mcollective/mcollective/application/*.rb

%files common
%{_libexecdir}/mcollective/mcollective/agent/*.ddl
%{_libexecdir}/mcollective/mcollective/util/*

%changelog
* Wed Jan 29 2014 Puppet Labs Release <info@puppetlabs.com> -  4.2.2-1
- Build for 4.2.2
